<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.casic.missiles.modular.system.dao.DeptPermissionMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.casic.missiles.modular.system.model.DeptPermission">
        <id column="ID" property="id"/>
        <result column="DEPTID" property="deptid"/>
        <result column="COMMUNICATION" property="communication"/>
        <result column="WELL_TYPE" property="wellType"/>
        <result column="DEVICE_TYPE" property="deviceType"/>
        <result column="area" property="area"/>
        <result column="MAP" property="map"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID AS id, DEPTID AS deptid, COMMUNICATION AS communication, WELL_TYPE AS "wellType", DEVICE_TYPE AS "deviceType", area, MAP AS map
    </sql>

</mapper>
